Subject: Re: bug#76186: 31.0.50; (recenter 0) sometimes does not recenter as expected

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Mar 2025 11:00:47 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 16 Mar 2025 09:47:56 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It is impossible for me to debug problems with GUI display remotely.
> > And the problem is extremely unlikely to happen in a -nw session.  But
> > if you can reproduce it in "emacs -Q -nw", with a recipe that doesn't
> > require hundreds of iterations before it happens, do tell.
> 
> So far, I found no way to elicit the problem with "emacs -nw"! I did run
> into a different issue with "emacs -nw", Emacs sometimes crashing with:
> 
>     ./emacs(+0x4abde)[0x5575ae316bde]
>     /lib/x86_64-linux-gnu/libc.so.6(+0x28150)[0x74c813c28150]
>     /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0x89)[0x74c813c28209]
>     ./emacs(+0x4b115)[0x5575ae317115]
>     Segmentation fault (core dumped)

That is worth a separate bug report, preferably with a full backtrace
from GDB.

> One additional offer I can make is to invite you to a video call or to
> any place you would like to meet so that we can look at the issue on a
> device, please let me know any time if you are interested in this.

Thanks, but that's not really practical for me.